#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QImage>
#include <QLabel>
#include <QPushButton>
#include <QSpinBox>
#include <QCheckBox>

class MainWindow : public QMainWindow
{
	Q_OBJECT
	QImage rgbImage;
	QImage hsvImage;
	QLabel label;
	QPushButton openfilebtn;
	QPushButton savefilebtn;
	QSpinBox x1;
	QSpinBox y1;
	QSpinBox x2;
	QSpinBox y2;
	QSpinBox hstart;
	QSpinBox hend;
	QSpinBox newh;
	QCheckBox hcheck;
	uint height; // перший аргумент __bit_width має бути таким
	unsigned short blockSize;
	unsigned int numThreads; //У ході розрахунків були виключені операції з плаваючею комою, але наявне множення на 64 - оптимальна кількість рядків на одноядерному комп'ютері за один потік
protected:
	void resizeEvent(QResizeEvent *event) override;
	bool eventFilter(QObject *obj, QEvent *event) override;
private slots:
	void processimage();
	void hsc();
	void hec();
	void openfile();
	void savefile();
	void calcthreadsandprocess();
public:
	MainWindow(QWidget *parent = nullptr);
};
#endif // MAINWINDOW_H
